CamelIMAPPStoreSummary
3
CAMEL Library

# CamelIMAPPStoreSummary

## Synopsis

                        CamelIMAPPStoreSummary;
                        CamelIMAPPStoreInfo;
                        CamelIMAPPStoreNamespace;
    CamelIMAPPStoreSummary* camel_imapp_store_summary_new   (void);
    CamelIMAPPStoreNamespace* camel_imapp_store_summary_namespace_new
                                                            (CamelIMAPPStoreSummary *s,
                                                             const char *full_name,
                                                             char dir_sep);
    void                camel_imapp_store_summary_namespace_set
                                                            (CamelIMAPPStoreSummary *s,
                                                             CamelIMAPPStoreNamespace *ns);
    CamelIMAPPStoreNamespace* camel_imapp_store_summary_namespace_find_path
                                                            (CamelIMAPPStoreSummary *s,
                                                             const char *path);
    CamelIMAPPStoreNamespace* camel_imapp_store_summary_namespace_find_full
                                                            (CamelIMAPPStoreSummary *s,
                                                             const char *full_name);
    char*               camel_imapp_store_summary_full_to_path
                                                            (CamelIMAPPStoreSummary *s,
                                                             const char *full_name,
                                                             char dir_sep);
    char*               camel_imapp_store_summary_path_to_full
                                                            (CamelIMAPPStoreSummary *s,
                                                             const char *path,
                                                             char dir_sep);
    CamelIMAPPStoreInfo* camel_imapp_store_summary_full_name
                                                            (CamelIMAPPStoreSummary *s,
                                                             const char *full_name);
    CamelIMAPPStoreInfo* camel_imapp_store_summary_add_from_full
                                                            (CamelIMAPPStoreSummary *s,
                                                             const char *full_name,
                                                             char dir_sep);
    char*               camel_imapp_store_summary_full_from_path
                                                            (CamelIMAPPStoreSummary *s,
                                                             const char *path);
    #define             camel_imapp_store_info_full_name    (s, i)

## Description

## Details

### CamelIMAPPStoreSummary

    typedef struct {
    	CamelStoreSummary summary;

    	struct _CamelIMAPPStoreSummaryPrivate *priv;

    	/* header info */
    	guint32 version;	/* version of base part of file */
    	guint32 capabilities;
    	CamelIMAPPStoreNamespace *namespace; /* eventually to be a list */
    } CamelIMAPPStoreSummary;

### CamelIMAPPStoreInfo

    typedef struct {
    	CamelStoreInfo info;
    	char *full_name;
    } CamelIMAPPStoreInfo;

### CamelIMAPPStoreNamespace

    typedef struct {
    	char *path;		/* display path */
    	char *full_name;	/* real name */
    	char sep;		/* directory separator */
    } CamelIMAPPStoreNamespace;

### camel_imapp_store_summary_new ()

    CamelIMAPPStoreSummary* camel_imapp_store_summary_new   (void);

Create a new CamelIMAPPStoreSummary object.

Returns :

  A new CamelIMAPPStoreSummary widget.

### camel_imapp_store_summary_namespace_new ()

    CamelIMAPPStoreNamespace* camel_imapp_store_summary_namespace_new
                                                            (CamelIMAPPStoreSummary *s,
                                                             const char *full_name,
                                                             char dir_sep);

`s` :

`full_name` :

`dir_sep` :

Returns :

### camel_imapp_store_summary_namespace_set ()

    void                camel_imapp_store_summary_namespace_set
                                                            (CamelIMAPPStoreSummary *s,
                                                             CamelIMAPPStoreNamespace *ns);

`s` :

`ns` :

### camel_imapp_store_summary_namespace_find_path ()

    CamelIMAPPStoreNamespace* camel_imapp_store_summary_namespace_find_path
                                                            (CamelIMAPPStoreSummary *s,
                                                             const char *path);

`s` :

`path` :

Returns :

### camel_imapp_store_summary_namespace_find_full ()

    CamelIMAPPStoreNamespace* camel_imapp_store_summary_namespace_find_full
                                                            (CamelIMAPPStoreSummary *s,
                                                             const char *full_name);

`s` :

`full_name` :

Returns :

### camel_imapp_store_summary_full_to_path ()

    char*               camel_imapp_store_summary_full_to_path
                                                            (CamelIMAPPStoreSummary *s,
                                                             const char *full_name,
                                                             char dir_sep);

`s` :

`full_name` :

`dir_sep` :

Returns :

### camel_imapp_store_summary_path_to_full ()

    char*               camel_imapp_store_summary_path_to_full
                                                            (CamelIMAPPStoreSummary *s,
                                                             const char *path,
                                                             char dir_sep);

`s` :

`path` :

`dir_sep` :

Returns :

### camel_imapp_store_summary_full_name ()

    CamelIMAPPStoreInfo* camel_imapp_store_summary_full_name
                                                            (CamelIMAPPStoreSummary *s,
                                                             const char *full_name);

Retrieve a summary item by full name.

A referenced to the summary item is returned, which may be ref'd or free'd as appropriate.

`s` :

`full_name` :

Returns :

  The summary item, or NULL if the `full_name` name is not available. It must be freed using `camel_store_summary_info_free()`.

### camel_imapp_store_summary_add_from_full ()

    CamelIMAPPStoreInfo* camel_imapp_store_summary_add_from_full
                                                            (CamelIMAPPStoreSummary *s,
                                                             const char *full_name,
                                                             char dir_sep);

`s` :

`full_name` :

`dir_sep` :

Returns :

### camel_imapp_store_summary_full_from_path ()

    char*               camel_imapp_store_summary_full_from_path
                                                            (CamelIMAPPStoreSummary *s,
                                                             const char *path);

`s` :

`path` :

Returns :

### camel_imapp_store_info_full_name()

    #define camel_imapp_store_info_full_name(s, i) (camel_store_info_string((CamelStoreSummary *)s, (const CamelStoreInfo *)i, CAMEL_IMAPP_STORE_INFO_FULL_NAME))

`s` :

`i` :